//---------------------------------------------------------------------------
#ifndef MainH
#define MainH
// #define PingIP "csut.edu.cn"; 1999.04.21. IniFile Added
// #define PingSec "20";
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Mask.hpp>
#include <shellapi.h>
#include <IniFiles.hpp>
#include <SysUtils.hpp>
#include <winbase.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <Menus.hpp>
//---------------------------------------------------------------------------
#define HISTORY "History.txt"
//---------------------------------------------------------------------------
class TfMain : public TForm
{
__published:	// IDE-managed Components
    TTimer *trPing;
    TLabel *lbIP;
    TMaskEdit *meIP;
    TLabel *lbInterval;
    TMaskEdit *meTime;
    TUpDown *udTime;
    TStatusBar *sbPing;
    TTimer *trStatusBar;
    TBitBtn *bbSwitch;
    TCheckBox *cbShowPing;
    TBitBtn *bbWorking;
    TCheckBox *cbRunMinimized;
    TMainMenu *mmAutoPing;
    TMenuItem *File1;
    TMenuItem *HistoryFile1;
    TMenuItem *Open1;
    TMenuItem *Clear1;
    TMenuItem *Print1;
    TMenuItem *N1;
    TMenuItem *QuitQ1;
    TMenuItem *PingCounter1;
    TMenuItem *Show1;
    TMenuItem *Reset1;
    void __fastcall trPingTimer(TObject *Sender);
    void __fastcall udTimeClick(TObject *Sender, TUDBtnType Button);
    void __fastcall cbShowPingClick(TObject *Sender);
    void __fastcall trStatusBarTimer(TObject *Sender);
    void __fastcall bbSwitchClick(TObject *Sender);
    void __fastcall bbWorkingClick(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    
    void __fastcall FormCreate(TObject *Sender);

    void __fastcall Open1Click(TObject *Sender);
    void __fastcall Print1Click(TObject *Sender);
    void __fastcall Clear1Click(TObject *Sender);
    void __fastcall Show1Click(TObject *Sender);
    void __fastcall Reset1Click(TObject *Sender);
    void __fastcall QuitQ1Click(TObject *Sender);
private:	// User declarations
    int PingStatus;
    int PingCounter;
    AnsiString AppDir;
    AnsiString asPingStart, asPingEnd, asPingPeriod,
               asTimeTotal, HistoryFile;
    double dlPingStart, dlPingEnd, dlPingPeriod, dlTimeTotal;

    void __fastcall WriteHistory(AnsiString asFileName,
                                 AnsiString asPingStart,
                                 AnsiString asPingEnd,
                                 AnsiString asPingPeriod,
                                 AnsiString asTimeTotal);

public:		// User declarations
    __fastcall TfMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfMain *fMain;
//---------------------------------------------------------------------------
#endif
